package com.ruoyi.dataprocess.mapper;

import com.ruoyi.dataprocess.domain.HwFenceArea;

import java.util.List;

/**
 * 电子围栏区域Mapper接口
 * 
 * @author xins
 * @date 2023-09-19
 */
public interface HwFenceAreaMapper 
{
    /**
     * 查询电子围栏区域
     * 
     * @param fenceAreaId 电子围栏区域主键
     * @return 电子围栏区域
     */
    public HwFenceArea selectHwFenceAreaByFenceAreaId(Long fenceAreaId);

    /**
     * 查询电子围栏区域列表
     * 
     * @param hwFenceArea 电子围栏区域
     * @return 电子围栏区域集合
     */
    public List<HwFenceArea> selectHwFenceAreaList(HwFenceArea hwFenceArea);

    /**
     * 新增电子围栏区域
     * 
     * @param hwFenceArea 电子围栏区域
     * @return 结果
     */
    public int insertHwFenceArea(HwFenceArea hwFenceArea);

    /**
     * 修改电子围栏区域
     * 
     * @param hwFenceArea 电子围栏区域
     * @return 结果
     */
    public int updateHwFenceArea(HwFenceArea hwFenceArea);

    /**
     * 删除电子围栏区域
     * 
     * @param fenceAreaId 电子围栏区域主键
     * @return 结果
     */
    public int deleteHwFenceAreaByFenceAreaId(Long fenceAreaId);

    /**
     * 批量删除电子围栏区域
     * 
     * @param fenceAreaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwFenceAreaByFenceAreaIds(Long[] fenceAreaIds);
}
